<?php
/**
 * pragmaMx  Content Management System
 * Copyright (c) 2005 pragmaMx Dev Team - http://pragmaMx.org
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * $Source: /home/www/dps3311/home/cvsroot/pragmamx/html/blocks/block-Survey.php,v $
 * $Revision: 1.4.4.1 $
 * $Author: tora60 $
 * $Date: 2006/10/23 08:52:01 $
 * 
 * this file based on:
 * php-nuke Web Portal System - http://phpnuke.org/
 * Thatware - http://thatware.org/
 * fixes by Marco Andreas (MarcoA/eMmA) http://www.kirmestreffen.de
 */

if (!defined("mxMainFileLoaded")) die ("You can't access this file directly...");
global $prefix;
// / Configuration
$module_name = "Surveys";
$mxblockcache = false;
$blockfiletitle = _SURVEY;

if (!mxModuleAllowed($module_name)) {
    $mxblockcache = false;
    return;
} 

if ($GLOBALS['multilingual'] == 1) {
    $thislang = (ereg("german", $GLOBALS["currentlang"])) ? "german" : $GLOBALS["currentlang"];
    // Changed for viewing also polls from news - 13.04.2007
    // $querylang = "WHERE (planguage LIKE '$thislang%' OR planguage = '') AND artid='0' AND pollactive=1";
    $querylang = "WHERE (planguage LIKE '$thislang%' OR planguage = '') AND pollactive=1";
} else {
    // Changed for viewing also polls from news - 13.04.2007
    // $querylang = "WHERE artid='0' AND pollactive=1";
    $querylang = "WHERE pollactive=1";
} 

$result = sql_query("SELECT pollID, pollTitle, voters FROM ${prefix}_poll_desc " . $querylang . " ORDER BY pollID DESC LIMIT 1");
list($pollID, $pollTitle, $voters) = sql_fetch_row($result);

if (empty($pollID)) {
    $mxblockcache = false;
    return;
} 

if (MX_IS_USER) {
    $cookie = mxGetUserSession();
} 
$linkadds = (isset($cookie[4]) && isset($cookie[5]) && isset($cookie[6])) ? "&amp;mode=$cookie[4]&amp;order=$cookie[5]&amp;thold=$cookie[6]" : "";
$url_result = sprintf("modules.php?name=$module_name&amp;op=results&amp;pollID=%d", $pollID);

$options = '';
$sum = 0;
$result = sql_query("SELECT optionText, optionCount, voteID FROM ${prefix}_poll_data WHERE (pollID=$pollID) AND (optionText<>'') ORDER BY voteID "); // " ORDER BY voteID " eingefgt von Marco Andreas
while (list($optionText, $optionCount, $voteID) = sql_fetch_row($result)) {
    $options .= "<tr valign=\"top\"><td><input type=\"radio\" name=\"voteID\" value=\"" . $voteID . "\"></td><td width=\"100%\">" . $optionText . "</td></tr>\n";
    $sum = $sum + $optionCount;
} 

$comments = '';
if ($GLOBALS['pollcomm']) {
    list($numcom) = sql_fetch_row(sql_query("select count(pollID) from ${prefix}_pollcomments where pollID=" . $pollID . ""));
    $comments = "\n" . _PCOMMENTS . " <b>$numcom</b><br>";
} 

$content = '
<form action="modules.php?name=' . $module_name . '" method="post">
<input type="hidden" name="name" value="' . $module_name . '">
<input type="hidden" name="pollID" value="' . $pollID . '">
<input type="hidden" name="forwarder" value="' . $url_result . '">
<b>' . $pollTitle . '</b><br><br>
<table border="0" width="100%" cellpadding="1" cellspacing="0">
' . $options . '
<tr><td colspan="2" align="center"><input type="submit" value="' . _VOTE . '"></td></tr>
</table><br><div align="center">
<a href="' . $url_result . '' . $linkadds . '"><b>' . _RESULTS . '</b></a><br>
' . _VOTES . ': <b>' . $sum . '</b><br>' . $comments . '
<a href="modules.php?name=' . $module_name . '"><b>' . _POLLS . '</b></a>
</div>
</form>';

?>